import { Base, Type } from "igniteui-angular-core";
import { ISupportSetProperty } from "./ISupportSetProperty";
import { CT_SphereCoords } from "./CT_SphereCoords";
import { ST_LightRigType } from "./ST_LightRigType";
import { ST_LightRigDirection } from "./ST_LightRigDirection";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
import { ElementPropertyIds } from "./ElementPropertyIds";
/**
 * @hidden
 */
export declare class CT_LightRig extends Base implements ISupportSetProperty {
    static $t: Type;
    private b;
    private f;
    private d;
    constructor();
    a: CT_SphereCoords;
    e: ST_LightRigType;
    c: ST_LightRigDirection;
    static h(a: XmlPartManagerBase, b: ST_LightRigType, c: ST_LightRigDirection): {
        p1: ST_LightRigType;
        p2: ST_LightRigDirection;
    };
    static i(a: XmlPartManagerBase, b: string, c: ST_LightRigDirection, d: ST_LightRigType): void;
    setProperty(a: ElementPropertyIds, b: any): void;
    toString(): string;
}
